Method: projects.locations.collections.exportDataObjects

コレクションから DataObject をエクスポートする長時間実行オペレーションを開始します。

HTTP リクエスト

POST https://vectorsearch.googleapis.com/v1beta/{name}:exportDataObjects

パスパラメータ

パラメータ
name

string

必須。Data Object のエクスポート元となるコレクションのリソース名。形式: projects/{project}/locations/{location}/collections/{collection}

リクエストの本文

リクエストの本文には、次の構造のデータが含まれます。

JSON 表現
{

  // Union field destination can be only one of the following:
  "gcsDestination": {
    object (GcsExportDestination)
  }
  // End of list of possible types for union field destination.
}
フィールド
共用体フィールド destination。エクスポート データの構成。destination は次のいずれかになります。
gcsDestination

object (GcsExportDestination)

ユーザーが Data Object をエクスポートする Cloud Storage のロケーション。

レスポンスの本文

成功した場合、レスポンスの本文には Operation のインスタンスが含まれます。

認可スコープ

次の OAuth スコープが必要です。

  • https://www.googleapis.com/auth/cloud-platform

詳細については、Authentication Overview をご覧ください。

IAM 権限

name リソースに対する次の IAM 権限が必要です。

  • vectorsearch.dataObjects.export

詳細については、IAM のドキュメントをご覧ください。

GcsExportDestination

エクスポート用の Google Cloud Storage の構成。

JSON 表現
{
  "exportUri": string,
  "format": enum (Format)
}
フィールド
exportUri

string

必須。Data Object のエクスポート先の Cloud Storage の URI 接頭辞。バケットはコレクションと同じリージョンに配置する必要があります。

format

enum (Format)

必須。エクスポートされた Data Object の形式。

形式

エクスポートされた Data Object の形式のオプション。

列挙型
FORMAT_UNSPECIFIED 未指定の形式。
JSON

非推奨: Data Object を JSON 形式でエクスポートします。代わりに JSONL を使用してください。

JSONL Data Object を JSONL 形式でエクスポートします。